This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 605664 - libgnome -> ... -> notification-daemon dependency chain
libgnome -> ... -> notification-daemon dependency chain
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: notification-daemon (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-18 10:08 EDT by Rex Dieter
Modified: 2010-07-12 01:45 EDT (History)
2 users (show)

See Also:
Fixed In Version: fedora-gnome-theme-13.4-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-12 01:45:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2010-06-18 10:08:23 EDT
As notification-daemon is only ~100k, it's not a big deal, but we did go through the effort of making it
Provides: desktop-notification-daemon
and now a non-trivial amount of apps are ending up with a direct dependency on notification-daemon direction through libgnome:

*lots of stuff* -> libgnome -> fedora-gnome-theme -> notification-daemon-engine-slider -> notification-daemon

Suggestions off the top of my head on how to fix this include:
* notification-daemon should require the default theme.
* make notification-daemon-engine-slider not depend on notification-daemon
Comment 1 Kevin Kofler 2010-06-18 10:13:51 EDT
> * notification-daemon should require the default theme.

To be clear: notification-daemon should require notification-daemon-engine-slider, not fedora-gnome-theme.
Comment 2 Kevin Kofler 2010-06-18 10:14:31 EDT
> * make notification-daemon-engine-slider not depend on notification-daemon    

That's the wrong solution, it still pulls in an unwanted and completely unneeded package onto the KDE spin.
Comment 3 Kevin Kofler 2010-07-12 01:45:10 EDT
notification-daemon-engine-slider has been merged into notification-daemon on June 28. So I just removed the now redundant Requires: notification-daemon-engine-slider from fedora-gnome-theme.

Note You need to log in before you can comment on or make changes to this bug.